## org.eclipse.datatools.connectivity.ui.dse.views
Class ConnectionProfileLabelProvider

    java.lang.Object
      LabelProvider
          org.eclipse.datatools.connectivity.ui.dse.views.ConnectionProfileLabelProvider

public class ConnectionProfileLabelProvider
extends LabelProvider

Author:
  rcernich, brianf
See Also:
  Serialized Form

Constructor Summary
`ConnectionProfileLabelProvider()`

Method Summary
`void` `dispose()`
`java.lang.String` `getDescription(java.lang.Object anElement)`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`void` `init(ICommonContentExtensionSite aConfig)`
`void` `init(IExtensionStateModel aStateModel, ITreeContentProvider aContentProvider)`
`void` `restoreState(IMemento aMemento)`
`void` `saveState(IMemento aMemento)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileLabelProvider

    public ConnectionProfileLabelProvider()

Method Detail

### getImage

    public Image getImage(java.lang.Object element)

### getText

    public java.lang.String getText(java.lang.Object element)

### dispose

    public void dispose()

### init

    public void init(IExtensionStateModel aStateModel,
                     ITreeContentProvider aContentProvider)

### restoreState

    public void restoreState(IMemento aMemento)

### saveState

    public void saveState(IMemento aMemento)

### getDescription

    public java.lang.String getDescription(java.lang.Object anElement)

### init

    public void init(ICommonContentExtensionSite aConfig)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.